package Apache::LowCal::Common;

# Apache::LowCal::Common - Library of common functions for LowCal components
# Copyright (C) 2000 Dave Sherohman (dave@sherohman.org)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

use Apache::Constants qw (:common);

BEGIN {
  use Exporter();
  @ISA = qw(Exporter);
  @EXPORT_OK = qw(&parse_template);
}

sub parse_template {
  my ($r, $tempname, $tokref) = @_;

  return NOT_FOUND unless open(TEMPLATE, $tempname);
  while (<TEMPLATE>) {
    my $line = $_;    
    if ($line =~ /%.+%/) {    # Skip token check if no %...%
      while ((my ($token, $value)) = each (%{$tokref})) {
        $line =~ s/%$token%/$value/;
      }
    }
    $r->print($line);
  }
  close TEMPLATE;

  return OK;
}

1;

END { }
